import { Store, StoreEnhancer, StoreEnhancerStoreCreator } from 'redux';
import { Injector, ModuleWithProviders } from '@angular/core';
import { ReduxReducerProvider } from './providers/redux-reducer.provider';
import { ReduxStateDefinition } from './interfaces/redux-state-definition.interface';
import { ReduxChildModuleConfig } from './interfaces/redux-child-module-config.interface';
import { ReduxRootModuleConfig } from './interfaces/redux-root-module-config.interface';
export declare class ReduxModule {
    constructor(injector: Injector, reducerProvider: ReduxReducerProvider, stateDefs?: ReduxStateDefinition[]);
    static forChild<S = {}>(config?: ReduxChildModuleConfig<S>): ModuleWithProviders;
    static forRoot<S = {}>(config?: ReduxRootModuleConfig<S>): ModuleWithProviders;
    static defaultStoreFactory(reduxReducerProvider: ReduxReducerProvider, devMode?: boolean): Store<{}>;
    static defaultEnhancerFactory(devMode: boolean): StoreEnhancer<{}>;
    static noopEnhancer(next: StoreEnhancerStoreCreator<{}>): StoreEnhancerStoreCreator<{}>;
}
